%global momorel 2

Summary: An utility for finding files by name
Name: mlocate
Version: 0.21
Release: %{momorel}m%{?dist}
License: GPLv2
URL: https://fedorahosted.org/mlocate/
Group: Applications/System
# https://fedorahosted.org/mlocate/attachment/wiki/MlocateDownloads/mlocate-%{version}.tar.bz2?format=raw
Source0: %{name}-%{version}.tar.bz2
Source1: updatedb.conf
Source2: mlocate.cron
Patch0: mlocate-0.16-ptrdiff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre,triggerpostun): shadow-utils
Requires(post): grep, sed
Obsoletes: slocate <= 2.7-30
Provides: slocate

%description
mlocate is a locate/updatedb implementation.  It keeps a database of
all existing files and allows you to lookup files by name.

The 'm' stands for "merging": updatedb reuses the existing database to avoid
rereading most of the file system, which makes updatedb faster and does not
trash the system caches as much as traditional locate implementations.

%prep
%setup -q
%patch0 -p1 -b .ptrdiff~

%build
%configure --localstatedir=/var/lib
make groupname=slocate

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT groupname=slocate

mkdir -p $RPM_BUILD_ROOT{%{_sysconfdir},/etc/cron.daily}
install -c -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/updatedb.conf
install -c -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/mlocate.cron
# %%ghost semantic is so stupid
touch $RPM_BUILD_ROOT/var/lib/mlocate/mlocate.db

%find_lang mlocate

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%{_sbindir}/groupadd -g 21 -r -f slocate

%post
if /bin/grep -q '^[^#]*DAILY_UPDATE' %{_sysconfdir}/updatedb.conf; then
    /bin/sed -i.rpmsave -e '/DAILY_UPDATE/s/^/#/' %{_sysconfdir}/updatedb.conf
fi

%triggerpostun -- slocate <= 2.7-30
%{_sbindir}/groupadd -g 21 -r -f slocate

%files -f mlocate.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
/etc/cron.daily/mlocate.cron
%config(noreplace) %{_sysconfdir}/updatedb.conf
%attr(2711,root,slocate) %{_bindir}/locate
%{_bindir}/updatedb
%{_mandir}/man*/*
%dir %attr(0750,root,slocate) /var/lib/mlocate
%ghost /var/lib/mlocate/mlocate.db

%changelog
* Thu Jul 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.21-2m)
- remove non ASCII code

* Wed Jul  9 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21-1m)
- update to 0.21
- add Define PRUNENAMES to exclude .git
- merge fedora 0.21-1
- changelog is below
-
- * Mon Jun 30 2008 Miloslav Trmac <mitr@redhat.com> - 0.21-1
- - Update to mlocate-0.21
- - Define PRUNENAMES to exclude .svn and .hg
- 
- * Wed Apr  9 2008 Miloslav Trmac <mitr@redhat.com> - 0.20-1
- - Update to mlocate-0.20
- 
- * Mon Mar  3 2008 Miloslav Trmac <mitr@redhat.com> - 0.19-1
- - Update to mlocate-0.19
- - New home page at https://fedorahosted.org/mlocate/ .
- 
- * Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.18-2
- - Autorebuild for GCC 4.3
- 
- * Sat Aug 25 2007 Miloslav Trmac <mitr@redhat.com> - 0.18-1
- - Update to mlocate-0.18
- - Run updatedb with reduced I/O priority
-   Resolves: #254165
- 
- * Wed Apr 25 2007 Miloslav Trmac <mitr@redhat.com> - 0.17-1
- - Update to mlocate-0.17
-   Resolves: #237120

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-3m)
- rebuild against gcc43

* Tue Oct 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16-2m)
- added mlocate-0.16-ptrdiff.patch

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16-1m)
- update to 0.16 (sync Fedora)

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-2m)
- import to Momonga

* Sat Mar 18 2006 Miloslav Trmac <mitr@redhat.com> - 0.14-2
- Ship NEWS

* Sat Mar 18 2006 Miloslav Trmac <mitr@redhat.com> - 0.14-1
- Update to mlocate-0.14

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.12-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.12-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Dec 31 2005 Miloslav Trmac <mitr@redhat.com> - 0.12-1
- Update to mlocate-0.12

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Miloslav Trmac <mitr@redhat.com> - 0.11-2
- Comment out DAILY_UPDATE from updatedb.conf (#174693)

* Thu Nov 10 2005 Miloslav Trmac <mitr@redhat.com> - 0.11-1
- Update to mlocate-0.11
- Add scriptlets to create group slocate

* Thu Jul 28 2005 Miloslav Trmac <mitr@volny.cz> - 0.10-0.testing.1
- Update to mlocate-0.10

* Thu Jul 28 2005 Miloslav Trmac <mitr@volny.cz> - 0.09-0.testing.1
- Initial build.
